WPS8TextStyleInternal::State Struct Reference

Internal: the state of a WPS4Text. More...

## Public Member Functions

| State ()
| constructor More...
void | initTypeMaps ()
| initializes the type map More...

## Static Public Member Functions

static uint32_t | wingdingsToUnicode (int val)
| convert Wingdings to unicode, returns 0 if problems More...

## Public Attributes

std::vector< std::string > | m_fontNames
| the font names More...
Font | m_defaultFont
| the default font More...
std::vector< Font > | m_fontList
| a list of all font properties More...
WPSParagraph | m_defaultParagraph
| the default paragraph More...
std::vector< WPSParagraph > | m_paragraphList
| a list of all paragraph properties More...
std::map< int, int > | m_fontTypes
| the character type More...
std::map< int, int > | m_paragraphTypes
| the paragraph type More...

## Detailed Description

Internal: the state of a WPS4Text.

## Constructor & Destructor Documentation

WPS8TextStyleInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

void WPS8TextStyleInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

Referenced by State().

uint32_t WPS8TextStyleInternal::State::wingdingsToUnicode | ( | int | val | ) |

static

convert Wingdings to unicode, returns 0 if problems

## Member Data Documentation

Font WPS8TextStyleInternal::State::m_defaultFont

the default font

WPSParagraph WPS8TextStyleInternal::State::m_defaultParagraph

the default paragraph

std::vector<Font> WPS8TextStyleInternal::State::m_fontList

a list of all font properties

std::vector<std::string> WPS8TextStyleInternal::State::m_fontNames

the font names

std::map<int,int> WPS8TextStyleInternal::State::m_fontTypes

the character type

Referenced by initTypeMaps().

std::vector<WPSParagraph> WPS8TextStyleInternal::State::m_paragraphList

a list of all paragraph properties

std::map<int,int> WPS8TextStyleInternal::State::m_paragraphTypes

the paragraph type

Referenced by initTypeMaps().

The documentation for this struct was generated from the following file:

- WPS8TextStyle.cpp